# Class TreeviewLAF

java.lang.Object
uk.ac.starlink.datanode.viewers.TreeviewLAF

public class TreeviewLAF extends Object
Repository for look-and-feel type items used in Treeview.

## Constructor Summary

Constructors
Constructor
Description
`TreeviewLAF()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`configureControl(JComponent control)`
`static void`
`configureControlPanel(JComponent panel)`
`static void`
`configureMainPanel(JComponent panel)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeviewLAF

public TreeviewLAF()

## Method Details

### configureControlPanel

public static void configureControlPanel(JComponent panel)

### configureControl

public static void configureControl(JComponent control)

### configureMainPanel

public static void configureMainPanel(JComponent panel)